Provable Markets

ContractRequestService

AcceptContractRequest

PATH: /aurora.core.apiengine.contractrequestsv1.ContractRequestService/AcceptContractRequest

SecurityBearer
Request
Request Body schema: application/json
required
comment
string
display_id
required
string
side
required
string (aurora.core.consts.common.Side)
Enum: "BORROW" "LOAN"
Responses
200

A successful response

Response Schema: application/json
collateral_rate
required
string

Collateral rate of the contract

comment
string

Comment given on Accept, Decline or Cancel that is echoed back

contract_display_id
string

Human readable Id of contract resulting for this contract request action

contract_id
string

Id of contract resulting for this contract request action

counterparty_id
required
string

Counterparty ID

display_id
required
string

Display id (persistent contract request id inside Aurora system)

required
object (aurora.core.common.protos.PbInstrument)

Instruments can be identified by their CUSIP or Ticker Symbol
Fields: cusip, ticker, name

is_pre_established
required
boolean

Pre-established contract flag

quantity
required
string <int64>

Quantity of shares

required
object (aurora.core.common.protos.PbRateDetails)

Fields: rate, benchmark

request_id
required
string

User populated id of the request this response is for

rounding_rule
required
string (aurora.core.consts.RoundingRule)
Enum: "NO_ROUNDING" "UP_TO_NEAREST_0_DOT_01" "UP_TO_NEAREST_0_DOT_05" "UP_TO_NEAREST_0_DOT_10" "UP_TO_NEAREST_0_DOT_25" "UP_TO_NEAREST_1_DOT_0"
settlement_type
required
string (aurora.core.consts.settlement.SettlementType)
Enum: "NSCC" "BILATERAL"
side
required
string (aurora.core.consts.common.Side)
Enum: "BORROW" "LOAN"
status
required
string (aurora.core.consts.contractrequest.ContractRequestStatus)

possible states in the lifecycle of a contract request

Enum: "PENDING" "ACCEPTED" "REJECTED" "EXPIRED" "CANCELED" "AUTOMATCHED"

CancelContractRequest

PATH: /aurora.core.apiengine.contractrequestsv1.ContractRequestService/CancelContractRequest

SecurityBearer
Request
Request Body schema: application/json
required
comment
string
display_id
required
string
side
required
string (aurora.core.consts.common.Side)
Enum: "BORROW" "LOAN"
Responses
200

A successful response

Response Schema: application/json
collateral_rate
required
string

Collateral rate of the contract

comment
string

Comment given on Accept, Decline or Cancel that is echoed back

contract_display_id
string

Human readable Id of contract resulting for this contract request action

contract_id
string

Id of contract resulting for this contract request action

counterparty_id
required
string

Counterparty ID

display_id
required
string

Display id (persistent contract request id inside Aurora system)

required
object (aurora.core.common.protos.PbInstrument)

Instruments can be identified by their CUSIP or Ticker Symbol
Fields: cusip, ticker, name

is_pre_established
required
boolean

Pre-established contract flag

quantity
required
string <int64>

Quantity of shares

required
object (aurora.core.common.protos.PbRateDetails)

Fields: rate, benchmark

request_id
required
string

User populated id of the request this response is for

rounding_rule
required
string (aurora.core.consts.RoundingRule)
Enum: "NO_ROUNDING" "UP_TO_NEAREST_0_DOT_01" "UP_TO_NEAREST_0_DOT_05" "UP_TO_NEAREST_0_DOT_10" "UP_TO_NEAREST_0_DOT_25" "UP_TO_NEAREST_1_DOT_0"
settlement_type
required
string (aurora.core.consts.settlement.SettlementType)
Enum: "NSCC" "BILATERAL"
side
required
string (aurora.core.consts.common.Side)
Enum: "BORROW" "LOAN"
status
required
string (aurora.core.consts.contractrequest.ContractRequestStatus)

possible states in the lifecycle of a contract request

Enum: "PENDING" "ACCEPTED" "REJECTED" "EXPIRED" "CANCELED" "AUTOMATCHED"

DeclineContractRequest

PATH: /aurora.core.apiengine.contractrequestsv1.ContractRequestService/DeclineContractRequest

SecurityBearer
Request
Request Body schema: application/json
required
comment
string
display_id
required
string
side
required
string (aurora.core.consts.common.Side)
Enum: "BORROW" "LOAN"
Responses
200

A successful response

Response Schema: application/json
collateral_rate
required
string

Collateral rate of the contract

comment
string

Comment given on Accept, Decline or Cancel that is echoed back

contract_display_id
string

Human readable Id of contract resulting for this contract request action

contract_id
string

Id of contract resulting for this contract request action

counterparty_id
required
string

Counterparty ID

display_id
required
string

Display id (persistent contract request id inside Aurora system)

required
object (aurora.core.common.protos.PbInstrument)

Instruments can be identified by their CUSIP or Ticker Symbol
Fields: cusip, ticker, name

is_pre_established
required
boolean

Pre-established contract flag

quantity
required
string <int64>

Quantity of shares

required
object (aurora.core.common.protos.PbRateDetails)

Fields: rate, benchmark

request_id
required
string

User populated id of the request this response is for

rounding_rule
required
string (aurora.core.consts.RoundingRule)
Enum: "NO_ROUNDING" "UP_TO_NEAREST_0_DOT_01" "UP_TO_NEAREST_0_DOT_05" "UP_TO_NEAREST_0_DOT_10" "UP_TO_NEAREST_0_DOT_25" "UP_TO_NEAREST_1_DOT_0"
settlement_type
required
string (aurora.core.consts.settlement.SettlementType)
Enum: "NSCC" "BILATERAL"
side
required
string (aurora.core.consts.common.Side)
Enum: "BORROW" "LOAN"
status
required
string (aurora.core.consts.contractrequest.ContractRequestStatus)

possible states in the lifecycle of a contract request

Enum: "PENDING" "ACCEPTED" "REJECTED" "EXPIRED" "CANCELED" "AUTOMATCHED"

QueryContractRequests

PATH: /aurora.core.apiengine.contractrequestsv1.ContractRequestService/QueryContractRequests

SecurityBearer
Request
Request Body schema: application/json
required
contract_request_id
string

User populated id of a previous request - optional

counterparty_ids
Array of strings

Counterparty ID - optional

instrument
string

Instrument (CUSIP or Ticker) - optional

is_pre_established
required
boolean

Preestablished contract flag

side
string (aurora.core.consts.common.Side)
Enum: "BORROW" "LOAN"
Responses
200

A successful response

Response Schema: application/json
Array of objects (aurora.core.apiengine.contractrequestsv1.ContractRequestResponse)

Details of the contract requests

number_of_contracts
string <int64>

Total number of contracts in the response

SubmitContractRequest

PATH: /aurora.core.apiengine.contractrequestsv1.ContractRequestService/SubmitContractRequest

SecurityBearer
Request
Request Body schema: application/json
required
collateral_rate
required
string

Collateral rate of contract

counterparty_id
required
string

Counterparty ID

instrument
required
string

Instrument (CUSIP or Ticker)

is_pre_established
required
boolean

Preestablished contract flag

quantity
required
string <int64>

Quantity of shares

required
object (aurora.core.common.protos.PbRateDetails)

Fields: rate, benchmark

request_id
required
string

User populated id of this request

rounding_rule
required
string (aurora.core.consts.RoundingRule)
Enum: "NO_ROUNDING" "UP_TO_NEAREST_0_DOT_01" "UP_TO_NEAREST_0_DOT_05" "UP_TO_NEAREST_0_DOT_10" "UP_TO_NEAREST_0_DOT_25" "UP_TO_NEAREST_1_DOT_0"
settlement_type
string (aurora.core.consts.settlement.SettlementType)
Enum: "NSCC" "BILATERAL"
side
required
string (aurora.core.consts.common.Side)
Enum: "BORROW" "LOAN"
Responses
200

A successful response

Response Schema: application/json
collateral_rate
required
string

Collateral rate of the contract

comment
string

Comment given on Accept, Decline or Cancel that is echoed back

contract_display_id
string

Human readable Id of contract resulting for this contract request action

contract_id
string

Id of contract resulting for this contract request action

counterparty_id
required
string

Counterparty ID

display_id
required
string

Display id (persistent contract request id inside Aurora system)

required
object (aurora.core.common.protos.PbInstrument)

Instruments can be identified by their CUSIP or Ticker Symbol
Fields: cusip, ticker, name

is_pre_established
required
boolean

Pre-established contract flag

quantity
required
string <int64>

Quantity of shares

required
object (aurora.core.common.protos.PbRateDetails)

Fields: rate, benchmark

request_id
required
string

User populated id of the request this response is for

rounding_rule
required
string (aurora.core.consts.RoundingRule)
Enum: "NO_ROUNDING" "UP_TO_NEAREST_0_DOT_01" "UP_TO_NEAREST_0_DOT_05" "UP_TO_NEAREST_0_DOT_10" "UP_TO_NEAREST_0_DOT_25" "UP_TO_NEAREST_1_DOT_0"
settlement_type
required
string (aurora.core.consts.settlement.SettlementType)
Enum: "NSCC" "BILATERAL"
side
required
string (aurora.core.consts.common.Side)
Enum: "BORROW" "LOAN"
status
required
string (aurora.core.consts.contractrequest.ContractRequestStatus)

possible states in the lifecycle of a contract request

Enum: "PENDING" "ACCEPTED" "REJECTED" "EXPIRED" "CANCELED" "AUTOMATCHED"